#ifndef MEGANE_MEGANE_HPP
#define MEGANE_MEGANE_HPP

#include <gtl/phmap.hpp>

#include <stdexcept>
#include <string>

namespace Megane
{
    class Error : public std::runtime_error
    {
        using std::runtime_error::runtime_error;
    };

    class Megane
    {
    public:
        Megane(const std::string& indexPath);
        ~Megane();

        std::string GetCode(const std::string& character) const;

    private:
        gtl::flat_hash_map<std::string, std::string> mStorage;
    };
}

#endif // MEGANE_MEGANE_HPP
